%global python3_pkgversion 3.12
%global __python3 /usr/bin/python3.12

# Created by pyp2rpm-3.3.3
%global pypi_name django-prometheus

Name:           python%{python3_pkgversion}-%{pypi_name}
Version:        2.1.0
Release:        8%{?dist}
Summary:        Django middlewares to monitor your application with Prometheus

License:        Apache
URL:            http://github.com/korfuri/django-prometheus
Source0:        https://files.pythonhosted.org/packages/source/d/%{pypi_name}/%{pypi_name}-%{version}.tar.gz
BuildArch:      noarch

BuildRequires:  python%{python3_pkgversion}-devel
BuildRequires:  python%{python3_pkgversion}-setuptools

Requires:       python%{python3_pkgversion}-prometheus-client >= 0.7

%{?python_provide:%python_provide python%{python3_pkgversion}-%{pypi_name}}

Obsoletes:      python3.11-%{pypi_name} < %{version}-%{release}

%description
%{summary}



%prep
set -ex
%autosetup -n %{pypi_name}-%{version}
# Remove bundled egg-info
rm -rf %{pypi_name}.egg-info

sed -i 's/"pytest-runner"//' setup.py


%build
set -ex
%py3_build


%install
set -ex
%py3_install


%files -n python%{python3_pkgversion}-%{pypi_name}
%license LICENSE
%doc README.md
%{python3_sitelib}/django_prometheus
%{python3_sitelib}/django_prometheus-%{version}-py%{python3_version}.egg-info


%changelog
* Mon Apr 07 2025 Odilon Sousa <osousa@redhat.com> - 2.1.0-8
- Add obsoletes for python3.11 package

* Thu Mar 27 2025 Odilon Sousa <osousa@redhat.com> - 2.1.0-7
- Rebuild against python3.12

* Tue Jan 16 2024 Odilon Sousa <osousa@redhat.com> - 2.1.0-6
- Remove SCL bits

* Tue Nov 21 2023 Patrick Creech <pcreech@redhat.com> - 2.1.0-5
- Add python39 obsoletes to package

* Sat Nov 11 2023 Odilon Sousa <osousa@redhat.com> - 2.1.0-4
- Build against python 3.11

* Fri Apr 22 2022 Yanis Guenane <yguenane@redhat.com> - 2.1.0-3
- Build against python 3.9

* Mon Sep 06 2021 Evgeni Golov - 2.1.0-2
- Build against Python 3.8

* Tue Aug 25 2020 Evgeni Golov 2.1.0-1
- Update to 2.1.0

* Fri Jul 17 2020 Evgeni Golov - 2.0.0-1
- Initial package.
